data:extend({
    {
        type = "container",
        name = "magma-chest-ui",
        icon = "__MagmaChest__/graphics/magma-chest.png",
        flags = {"placeable-player", "player-creation"},
        minable = {mining_time = 1.0, result = "magma-chest"},
        max_health = 100,
        corpse = "small-remnants",
        open_sound = { filename = "__base__/sound/metallic-chest-open.ogg", volume=0.65 },
        close_sound = { filename = "__base__/sound/metallic-chest-close.ogg", volume = 0.7 },
        resistances =
        {
           {
               type = "fire",
               percent = 80
           }
        },
        collision_box = {{-0.35, -0.35}, {0.35, 0.35}},
        selection_box = {{-0.5, -0.5}, {0.5, 0.5}},
        fast_replaceable_group = "container",
        inventory_size = 32,
        vehicle_impact_sound =  { filename = "__base__/sound/car-metal-impact.ogg", volume = 0.65 },
        picture =
        {
            filename = "__MagmaChest__/graphics/magma-chest.png",
            priority = "low",
            width = 48,
            height = 34,
            shift = {0.2, 0}
        }
    } 
})
