
script.on_event(defines.events.on_robot_built_entity, function(event)
    if event.created_entity.name == "magma-chest-ui" then
		addMagmaChest(event.created_entity, event.created_entity)
    end	
end)


script.on_event(defines.events.on_built_entity, function(event)
    if event.created_entity.name == "magma-chest-ui" then
		addMagmaChest(event.created_entity, event.created_entity )
    end
end)

script.on_event({defines.events.on_entity_died, defines.events.on_preplayer_mined_item,defines.events.on_robot_pre_mined}, function(event)
    if event.entity.name == "magma-chest-ui" then
	    removeMagmaChest(event.entity)
    end		
end)

script.on_event(defines.events.on_tick, function(event)
    if event.tick % 500 == 0 and global.magmachests ~= nil then
        for i = #global.magmachests, 1, -1 do
            local chest_data = global.magmachests[i]
            if chest_data == nil or chest_data.magmachest == nil or not chest_data.magmachest.valid or not chest_data.magmachests_ui.valid then
                table.remove(global.magmachests, i)
            --[[elseif chest_data.magmachest == nil then
                table.remove(global.magmachests, i)
            elseif not chest_data.magmachest.valid or not chest_data.magmachests_ui.valid then
                table.remove(global.magmachests, i)]]
            else
				chest_data.magmachests_ui.clear_items_inside()
            end
        end
    end
end)


function addMagmaChest(chest_entity, chest_ui)
    if global.magmachests == nil then global.magmachests = {} end		
    global.magmachests[#global.magmachests + 1] = { magmachest = chest_entity, magmachests_ui = chest_ui}
end

function removeMagmaChest(chest_entity)
    if chest_entity ~= nil then
		if global.magmachests == nil then global.magmachests = {} end
		for i,chest_entry in ipairs(global.magmachests) do
			if chest_entry ~= nil and (chest_entity==global.magmachests[i].magmachest or chest_entity==global.magmachests[i].magmachests_ui) then			
				table.remove(global.magmachests, i)			
				return nil
			end
		end
	end
	--[[game.player.print("magma-chest not found...")]]
    return nil	
end


